# Class Ranges.Entry

java.lang.Object
org.apache.tomcat.util.http.parser.Ranges.Entry

All Implemented Interfaces:
  `Comparable<Ranges.Entry>`

Enclosing class:
  `Ranges`

public static class Ranges.Entry extends Object implements Comparable<Ranges.Entry>
Represents a single range entry with a start and end position.

## Constructor Summary

Constructors
Constructor
Description
`Entry(long start, long end)`
Creates a new range entry.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Ranges.Entry o)`
`boolean`
`equals(Object obj)`
`long`
`getEnd()`
Returns the end position of the range.
`long`
`getStart()`
Returns the start position of the range.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Entry

public Entry(long start, long end)
Creates a new range entry.

Parameters:
  `start` - the start position of the range
  `end` - the end position of the range, or -1 if absent

## Method Details

### getStart

public long getStart()
Returns the start position of the range.

Returns:
  the start position

### getEnd

public long getEnd()
Returns the end position of the range.

Returns:
  the end position, or -1 if absent

### compareTo

public int compareTo(Ranges.Entry o)

Specified by:
  `compareTo` in interface `Comparable<Ranges.Entry>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`